## python-kafka 0.9.3

=== docs/requirements.txt ===
sphinx
sphinxcontrib-napoleon

# Install kafka-python in editable mode
# This allows the sphinx autodoc module
# to load the Python modules and extract docstrings.
-e ..

=== debian/changelog ===
python-kafka (0.9.3-2) unstable; urgency=medium

  * Added missing python-mock build-deps.
  * Added PYTHONPATH=. when building sphinx doc.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Feb 2015 15:22:08 +0000

python-kafka (0.9.3-1) unstable; urgency=medium

  * Initial release. (Closes: #778619)

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Feb 2015 15:35:34 +0100

=== debian/control ===
Source: python-kafka
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools
Build-Depends-Indep: python-mock,
                     python-nose,
                     python-nose-timer,
                     python-six,
                     python3-mock,
                     python3-nose,
                     python3-nose-timer,
                     python3-six
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-kafka.git
Vcs-Git: git://anonscm.debian.org/openstack/python-kafka.git
Homepage: https://github.com/mumrah/kafka-python

Package: python-kafka
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-six, ${misc:Depends}, ${python:Depends}
Suggests: python-kafka-doc
Description: Pure Python client for Apache Kafka - Python 2.x
 This module provides low-level protocol support for Apache Kafka as well as
 high-level consumer and producer classes. Request batching is supported by the
 protocol as well as broker-aware request routing. Gzip and Snappy compression
 is also supported for message sets.
 .
 This package contains the Python 2.x module.

Package: python3-kafka
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-kafka-doc, python3-six
Description: Pure Python client for Apache Kafka - Python 3.x
 This module provides low-level protocol support for Apache Kafka as well as
 high-level consumer and producer classes. Request batching is supported by the
 protocol as well as broker-aware request routing. Gzip and Snappy compression
 is also supported for message sets.
 .
 This package contains the Python 3.x module.

Package: python-kafka-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Pure Python client for Apache Kafka - doc
 This module provides low-level protocol support for Apache Kafka as well as
 high-level consumer and producer classes. Request batching is supported by the
 protocol as well as broker-aware request routing. Gzip and Snappy compression
 is also supported for message sets.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/mumrah/kafka-python.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-kafka; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-kafka; \
	done
	rm -rf $(CURDIR)/debian/python*-kafka/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	mkdir -p kafka_python.egg-info
	cp debian/PKG-INFO kafka_python.egg-info
	ln -s kafka kafka-python
	PYTHON=python2.7 PYTHONPATH=. nosetests -v --with-timer --timer-top-n 5
	PYTHON=python3 PYTHONPATH=. nosetests3 -v --with-timer --timer-top-n 5
	rm -rf kafka_python.egg-info
#	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
#		PYTHON=python$$pyvers setup.py test ; \
#	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build kafka-python .coverage kafka_python.egg-info

override_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -b html docs debian/python-kafka-doc/usr/share/doc/python-kafka-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-kafka 0.9.5

=== debian/changelog ===
python-kafka (0.9.5-3+4~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Do not use rtd theme.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 13 Oct 2016 19:54:31 +0000

python-kafka (0.9.5-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Thomas Goirand ]
  * Add missing python-sphinx-rtd-theme build-dep (Closes: #830378).
  * Using pkgos-dh_auto_install.
  * Add no-intersphinx.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jul 2016 11:11:11 +0200

python-kafka (0.9.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed debian/copyright ordering.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Mar 2016 13:50:34 +0000

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,11 @@
 Uploaders: Thomas Goirand <zigo@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
-               python-all (>= 2.6.6-3~),
+               openstack-pkg-tools (>= 52~),
+               python-all,
                python-setuptools,
                python-sphinx,
+               python-sphinx-rtd-theme,
                python3-all,
                python3-setuptools
 Build-Depends-Indep: python-mock,
@@ -18,9 +20,9 @@
                      python3-nose,
                      python3-nose-timer,
                      python3-six
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-kafka.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-kafka.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-kafka?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-kafka -b debian/newton
 Homepage: https://github.com/mumrah/kafka-python
 
 Package: python-kafka

=== debian/rules ===
--- 
+++ 
@@ -1,24 +1,13 @@
 #!/usr/bin/make -f
 
-PYTHONS:=$(shell pyversions -vr)
-PYTHON3S:=$(shell py3versions -vr)
-
-UPSTREAM_GIT = git://github.com/mumrah/kafka-python.git
--include /usr/share/openstack-pkg-tools/pkgos.make
+UPSTREAM_GIT := https://github.com/mumrah/kafka-python.git
+include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
-override_dh_install:
-	set -e ; for pyvers in $(PYTHONS); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-kafka; \
-	done
-	set -e ; for pyvers in $(PYTHON3S); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python3-kafka; \
-	done
-	rm -rf $(CURDIR)/debian/python*-kafka/usr/lib/python*/dist-packages/*.pth
+override_dh_auto_install:
+	pkgos-dh_auto_install
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
@@ -38,7 +27,7 @@
 	rm -rf build kafka-python .coverage kafka_python.egg-info
 
 override_dh_sphinxdoc:
-	PYTHONPATH=. sphinx-build -b html docs debian/python-kafka-doc/usr/share/doc/python-kafka-doc/html
+	PYTHONPATH=. READTHEDOCS=False sphinx-build -b html docs debian/python-kafka-doc/usr/share/doc/python-kafka-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 
 # Commands not to run

## python-kafka 1.3.2

=== debian/changelog ===
python-kafka (1.3.2-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/watch: Update watch file to point to the right place.
  * New upstream release.
  * d/patches/do-not-use-sphinxcontrib.napoleon-theme.patch: Dropped no longer 
    neeeded.
  * d/control: Adjust build dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 19 Jan 2017 10:40:47 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-kafka
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
@@ -16,14 +17,17 @@
                      python-nose,
                      python-nose-timer,
                      python-six,
+                     python-pytest,
                      python3-mock,
                      python3-nose,
                      python3-nose-timer,
-                     python3-six
+                     python3-six,
+                     python3-pytest
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-kafka?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-kafka -b debian/newton
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-kafka
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-kafka
 Homepage: https://github.com/mumrah/kafka-python
+Testsuite: autopkgtest-pkg-python
 
 Package: python-kafka
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,26 +9,26 @@
 override_dh_auto_install:
 	pkgos-dh_auto_install
 
-override_dh_auto_test:
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	mkdir -p kafka_python.egg-info
-	cp debian/PKG-INFO kafka_python.egg-info
-	ln -s kafka kafka-python
-	PYTHON=python2.7 PYTHONPATH=. nosetests -v --with-timer --timer-top-n 5
-	PYTHON=python3 PYTHONPATH=. nosetests3 -v --with-timer --timer-top-n 5
-	rm -rf kafka_python.egg-info
+#override_dh_auto_test:
+#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+#	mkdir -p kafka_python.egg-info
+#	cp debian/PKG-INFO kafka_python.egg-info
+#	ln -s kafka kafka-python
+#	PYTHON=python2.7 PYTHONPATH=. nosetests -v --with-timer --timer-top-n 5
+#	PYTHON=python3 PYTHONPATH=. nosetests3 -v --with-timer --timer-top-n 5
+#	rm -rf kafka_python.egg-info
 #	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
 #		PYTHON=python$$pyvers setup.py test ; \
 #	done
-endif
+#endif
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf build kafka-python .coverage kafka_python.egg-info
 
-override_dh_sphinxdoc:
-	PYTHONPATH=. READTHEDOCS=False sphinx-build -b html docs debian/python-kafka-doc/usr/share/doc/python-kafka-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+#override_dh_sphinxdoc:
+#	PYTHONPATH=. sphinx-build -b html docs debian/python-kafka-doc/usr/share/doc/python-kafka-doc/html
+#	dh_sphinxdoc -O--buildsystem=python_distutils
 
 # Commands not to run
 override_dh_installcatalogs:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/kafka/kafka-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-kafka 1.3.3

=== debian/changelog ===
python-kafka (1.3.3-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * Apply upstream patch for Python 3.7 compat with the async keyword. Thanks
    to James Page for forwarding the patch (Closes: #903031).

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Jul 2018 18:04:43 +0200

python-kafka (1.3.3-3) unstable; urgency=medium

  * Add remove-old-lz4-test.patch (Closes: #881986).

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Nov 2017 12:11:12 +0000

python-kafka (1.3.3-2) unstable; urgency=medium

  * Uploading to unstable (Closes: #834033).
  * Switched to debhelper 10.
  * Removed pre-depends on dpkg version.
  * Standards-Version is now 4.1.1.
  * Add patch to remove multiple privacy breaches in docs.
  * Remove docs/license.rst before building docs.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 10:38:17 +0000

python-kafka (1.3.3-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Added unittest2 and pytest as build-depends.
  * Rebased do-not-use-sphinxcontrib.napoleon-theme.patch.
  * Do not test with lz4 compression (broken?).

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Sep 2017 20:28:34 +0000

=== debian/control ===
Source: python-kafka
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-setuptools,
 python-sphinx,
 python-sphinx-rtd-theme,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python-lz4,
 python-mock,
 python-nose,
 python-nose-timer,
 python-pytest,
 python-pytest-mock,
 python-six,
 python-snappy,
 python-unittest2,
 python3-lz4,
 python3-mock,
 python3-nose,
 python3-nose-timer,
 python3-pytest,
 python3-pytest-mock,
 python3-six,
 python3-snappy,
 python3-unittest2,
Standards-Version: 4.1.1
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-kafka
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-kafka.git
Homepage: https://github.com/mumrah/kafka-python

Package: python-kafka
Architecture: all
Depends:
 python-lz4,
 python-six,
 python-snappy,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-kafka-doc,
Description: Pure Python client for Apache Kafka - Python 2.x
 This module provides low-level protocol support for Apache Kafka as well as
 high-level consumer and producer classes. Request batching is supported by the
 protocol as well as broker-aware request routing. Gzip and Snappy compression
 is also supported for message sets.
 .
 This package contains the Python 2.x module.

Package: python-kafka-doc
Section: doc
Architecture: all
Depends:
 python3-lz4,
 python3-six,
 python3-snappy,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Pure Python client for Apache Kafka - doc
 This module provides low-level protocol support for Apache Kafka as well as
 high-level consumer and producer classes. Request batching is supported by the
 protocol as well as broker-aware request routing. Gzip and Snappy compression
 is also supported for message sets.
 .
 This package contains the documentation.

Package: python3-kafka
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-kafka-doc,
 python3-six,
Description: Pure Python client for Apache Kafka - Python 3.x
 This module provides low-level protocol support for Apache Kafka as well as
 high-level consumer and producer classes. Request batching is supported by the
 protocol as well as broker-aware request routing. Gzip and Snappy compression
 is also supported for message sets.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -9,26 +9,28 @@
 override_dh_auto_install:
 	pkgos-dh_auto_install
 
-#override_dh_auto_test:
-#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-#	mkdir -p kafka_python.egg-info
-#	cp debian/PKG-INFO kafka_python.egg-info
-#	ln -s kafka kafka-python
-#	PYTHON=python2.7 PYTHONPATH=. nosetests -v --with-timer --timer-top-n 5
-#	PYTHON=python3 PYTHONPATH=. nosetests3 -v --with-timer --timer-top-n 5
-#	rm -rf kafka_python.egg-info
+override_dh_auto_test:
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	mkdir -p kafka_python.egg-info
+	cp debian/PKG-INFO kafka_python.egg-info
+	ln -s kafka kafka-python
+	set -e ; set -x ; for i in $(PYTHONS) $(PYTHON3S) ; do \
+		PYTHON=python$$i PYTHONPATH=. python$$i -m pytest test ; \
+	done
+	rm -rf kafka_python.egg-info
 #	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
 #		PYTHON=python$$pyvers setup.py test ; \
 #	done
-#endif
+endif
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf build kafka-python .coverage kafka_python.egg-info
 
-#override_dh_sphinxdoc:
-#	PYTHONPATH=. sphinx-build -b html docs debian/python-kafka-doc/usr/share/doc/python-kafka-doc/html
-#	dh_sphinxdoc -O--buildsystem=python_distutils
+override_dh_sphinxdoc:
+	rm -f docs/license.rst
+	PYTHONPATH=. sphinx-build -b html docs debian/python-kafka-doc/usr/share/doc/python-kafka-doc/html
+	dh_sphinxdoc -O--buildsystem=python_distutils
 
 # Commands not to run
 override_dh_installcatalogs:

## python-kafka 1.4.3

=== Makefile ===
# Some simple testing tasks (sorry, UNIX only).

FLAGS=
KAFKA_VERSION=0.11.0.2
SCALA_VERSION=2.12

setup:
	pip install -r requirements-dev.txt
	pip install -Ue .

servers/$(KAFKA_VERSION)/kafka-bin:
	KAFKA_VERSION=$(KAFKA_VERSION) SCALA_VERSION=$(SCALA_VERSION) ./build_integration.sh

build-integration: servers/$(KAFKA_VERSION)/kafka-bin

# Test and produce coverage using tox. This is the same as is run on Travis
test36: build-integration
	KAFKA_VERSION=$(KAFKA_VERSION) SCALA_VERSION=$(SCALA_VERSION) tox -e py36 -- $(FLAGS)

test27: build-integration
	KAFKA_VERSION=$(KAFKA_VERSION) SCALA_VERSION=$(SCALA_VERSION) tox -e py27 -- $(FLAGS)

# Test using py.test directly if you want to use local python. Useful for other
# platforms that require manual installation for C libraries, ie. Windows.
test-local: build-integration
	KAFKA_VERSION=$(KAFKA_VERSION) SCALA_VERSION=$(SCALA_VERSION) py.test \
		--pylint --pylint-rcfile=pylint.rc --pylint-error-types=EF $(FLAGS) kafka test

cov-local: build-integration
	KAFKA_VERSION=$(KAFKA_VERSION) SCALA_VERSION=$(SCALA_VERSION) py.test \
		--pylint --pylint-rcfile=pylint.rc --pylint-error-types=EF --cov=kafka \
		--cov-config=.covrc --cov-report html $(FLAGS) kafka test
	@echo "open file://`pwd`/htmlcov/index.html"

# Check the readme for syntax errors, which can lead to invalid formatting on
# PyPi homepage (https://pypi.python.org/pypi/kafka-python)
check-readme:
	python setup.py check -rms

clean:
	rm -rf `find . -name __pycache__`
	rm -f `find . -type f -name '*.py[co]' `
	rm -f `find . -type f -name '*~' `
	rm -f `find . -type f -name '.*~' `
	rm -f `find . -type f -name '@*' `
	rm -f `find . -type f -name '#*#' `
	rm -f `find . -type f -name '*.orig' `
	rm -f `find . -type f -name '*.rej' `
	rm -f .coverage
	rm -rf htmlcov
	rm -rf docs/_build/
	rm -rf cover
	rm -rf dist

doc:
	make -C docs html
	@echo "open file://`pwd`/docs/_build/html/index.html"

.PHONY: all test36 test27 test-local cov-local clean doc

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/kafka-python.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/kafka-python.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/kafka-python"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/kafka-python"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/requirements.txt ===
sphinx
sphinxcontrib-napoleon
sphinx_rtd_theme

# Install kafka-python in editable mode
# This allows the sphinx autodoc module
# to load the Python modules and extract docstrings.
# -e ..

=== debian/changelog ===
python-kafka (1.4.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Using python3 -m sphinx to build the doc.
  * Removed py37-compat.patch applied upstream.
  * Rebased remove-multiple-privacy-breaches.patch.
  * Removed do-not-test-lz4-compression.patch, now obsolete.
  * Add do-not-test-with-old-lz4.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Sep 2018 10:18:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-kafka
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -10,8 +10,8 @@
  openstack-pkg-tools,
  python-all,
  python-setuptools,
- python-sphinx,
- python-sphinx-rtd-theme,
+ python3-sphinx,
+ python3-sphinx-rtd-theme,
  python3-all,
  python3-setuptools,
 Build-Depends-Indep:

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 override_dh_sphinxdoc:
 	rm -f docs/license.rst
-	PYTHONPATH=. sphinx-build -b html docs debian/python-kafka-doc/usr/share/doc/python-kafka-doc/html
+	PYTHONPATH=. python3 -m sphinx -b html docs debian/python-kafka-doc/usr/share/doc/python-kafka-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 
 # Commands not to run

## python-kafka 1.4.6

=== docs/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 # User-friendly check for sphinx-build
 ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
-$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
+$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from https://www.sphinx-doc.org/)
 endif
 
 # Internal variables.

=== docs/requirements.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
 sphinx
-sphinxcontrib-napoleon
 sphinx_rtd_theme
 
 # Install kafka-python in editable mode

=== debian/changelog ===
python-kafka (1.4.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.
  * Removed Python 2 support (Closes: #937864).
  * Rebased remove-multiple-privacy-breaches.patch.
  * Rebased remove-old-lz4-test.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Sep 2019 12:53:09 +0200

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,14 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-setuptools,
+ python3-all,
+ python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
- python3-all,
- python3-setuptools,
 Build-Depends-Indep:
- python-lz4,
- python-mock,
- python-nose,
- python-nose-timer,
- python-pytest,
- python-pytest-mock,
- python-six,
- python-snappy,
- python-unittest2,
  python3-lz4,
  python3-mock,
  python3-nose,
@@ -37,24 +26,6 @@
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-kafka
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-kafka.git
 Homepage: https://github.com/mumrah/kafka-python
-
-Package: python-kafka
-Architecture: all
-Depends:
- python-lz4,
- python-six,
- python-snappy,
- ${misc:Depends},
- ${python:Depends},
-Suggests:
- python-kafka-doc,
-Description: Pure Python client for Apache Kafka - Python 2.x
- This module provides low-level protocol support for Apache Kafka as well as
- high-level consumer and producer classes. Request batching is supported by the
- protocol as well as broker-aware request routing. Gzip and Snappy compression
- is also supported for message sets.
- .
- This package contains the Python 2.x module.
 
 Package: python-kafka-doc
 Section: doc

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/k/kafka-python kafka-python-(.*).tar.gz

## python-kafka 2.0.1

=== Makefile ===
--- 
+++ 
@@ -14,8 +14,8 @@
 build-integration: servers/$(KAFKA_VERSION)/kafka-bin
 
 # Test and produce coverage using tox. This is the same as is run on Travis
-test36: build-integration
-	KAFKA_VERSION=$(KAFKA_VERSION) SCALA_VERSION=$(SCALA_VERSION) tox -e py36 -- $(FLAGS)
+test37: build-integration
+	KAFKA_VERSION=$(KAFKA_VERSION) SCALA_VERSION=$(SCALA_VERSION) tox -e py37 -- $(FLAGS)
 
 test27: build-integration
 	KAFKA_VERSION=$(KAFKA_VERSION) SCALA_VERSION=$(SCALA_VERSION) tox -e py27 -- $(FLAGS)
@@ -56,4 +56,4 @@
 	make -C docs html
 	@echo "open file://`pwd`/docs/_build/html/index.html"
 
-.PHONY: all test36 test27 test-local cov-local clean doc
+.PHONY: all test37 test27 test-local cov-local clean doc

=== debian/changelog ===
python-kafka (2.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 01:44:48 +0200

python-kafka (2.0.1-1) experimental; urgency=medium

  * New upstream version (Closes: #946457).
  * d/control:
    - Add me to uploaders
    - Bump debhelper-compat
    - Bump standards-version
  * d/copyright: Add me to copyright
  * d/PKG-INFO: Update PKG-INFO
  * d/patches: Add skip-integration-test.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 30 Apr 2020 10:16:11 +0200

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/mumrah/kafka-python.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build kafka-python .coverage kafka_python.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	mkdir -p kafka_python.egg-info
	cp debian/PKG-INFO kafka_python.egg-info
	ln -s kafka kafka-python
	set -e ; set -x ; for i in $(PYTHON3S) ; do \
		PYTHON=python$$i PYTHONPATH=. python$$i -m pytest test ; \
	done
	rm -rf kafka_python.egg-info
#	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
#		PYTHON=python$$pyvers setup.py test ; \
#	done
endif

override_dh_sphinxdoc:
	rm -f docs/license.rst
	PYTHONPATH=. python3 -m sphinx -b html docs debian/python-kafka-doc/usr/share/doc/python-kafka-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

## python-kafka 2.0.2

=== debian/changelog ===
python-kafka (2.0.2-9) unstable; urgency=medium

  * Fixed upstream CVS URLs and use mode=git in d/watch (Closes: #1082515).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Jan 2025 15:19:21 +0100

python-kafka (2.0.2-8) unstable; urgency=medium

  * Fix depends (Closes: #1088704).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 14:30:43 +0100

python-kafka (2.0.2-7) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090519).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 10:28:37 +0100

python-kafka (2.0.2-6) unstable; urgency=medium

  * Remove extraneous python3-unittest2 build dependency (Closes: #1066135).
  * Add fix-using-six.patch.
  * Blacklist test_send() that needs a spec for the mock.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Apr 2024 09:26:18 +0200

python-kafka (2.0.2-5) unstable; urgency=medium

  * Removed nose and nose-timer build-depends (Closes: #1018521).

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Aug 2023 17:25:02 +0200

python-kafka (2.0.2-4) unstable; urgency=medium

  * Cleans properly (Closes: #1045152).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Aug 2023 18:11:04 +0200

python-kafka (2.0.2-3) unstable; urgency=medium

  * Add Fixes-ypeError_Population_must_be_a_sequence.patch (Closes: #1026497).

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Jan 2023 08:44:22 +0100

python-kafka (2.0.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 12:31:58 +0200

python-kafka (2.0.2-1) experimental; urgency=medium

  * New upstream release.
  * Rebase and refresh patches.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Aug 2021 09:34:29 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -15,25 +16,19 @@
 Build-Depends-Indep:
  python3-lz4,
  python3-mock,
- python3-nose,
- python3-nose-timer,
  python3-pytest,
  python3-pytest-mock,
  python3-six,
  python3-snappy,
- python3-unittest2,
-Standards-Version: 4.1.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-kafka
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-kafka.git
-Homepage: https://github.com/mumrah/kafka-python
+Homepage: https://github.com/wbarnha/kafka-python-ng
 
 Package: python-kafka-doc
 Section: doc
 Architecture: all
 Depends:
- python3-lz4,
- python3-six,
- python3-snappy,
  ${misc:Depends},
  ${sphinxdoc:Depends},
 Description: Pure Python client for Apache Kafka - doc
@@ -47,6 +42,9 @@
 Package: python3-kafka
 Architecture: all
 Depends:
+ python3-lz4,
+ python3-six,
+ python3-snappy,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/wbarnha/kafka-python-ng
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build kafka-python .coverage kafka_python.egg-info .pytest_cache
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
	rm -rf .pytest_cach

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	mkdir -p kafka_python.egg-info
	cp debian/PKG-INFO kafka_python.egg-info
	ln -s kafka kafka-python
	set -e ; set -x ; for i in $(PYTHON3S) ; do \
		PYTHON=python$$i PYTHONPATH=. python$$i -m pytest test -k "not test_send" ; \
	done
	rm -rf kafka_python.egg-info
#	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
#		PYTHON=python$$pyvers setup.py test ; \
#	done
endif

override_dh_sphinxdoc:
	PYTHONPATH=. python3 -m sphinx -b html docs debian/python-kafka-doc/usr/share/doc/python-kafka-doc/html
	dh_sphinxdoc

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/;s/201/1/" \
https://github.com/wbarnha/kafka-python-ng refs/tags/v(\d[brc\d\.]+)
